<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'beejees',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['product', 'product', 'carrier'],

    'product'       => [
        'model' => [
            'model' => \Beejees\Product\Models\Product::class,
            'repository' => \Beejees\Product\Repositories\Eloquent\ProductRepository::class,
            'table' => 'products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'title',  'slug',  'meta_titile',  'description',  'product_images',  'deleted_at',  'created_at',  'updated_at',  'status'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beejees',
            'package' => 'Product',
            'module' => 'Product',
        ],
    ],
    'product'       => [
        'model' => [
            'model' => \Beejees\Product\Models\Product::class,
            'repository' => \Beejees\Product\Repositories\Eloquent\ProductRepository::class,
            'table' => 'products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'job_title',  'slug',  'meta_titile',  'job_category',  'job_description',  'job_task',  'job_extra_points',  'images',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beejees',
            'package' => 'Product',
            'module' => 'Product',
        ],
    ],
    'carrier'       => [
        'model' => [
            'model' => \Beejees\Product\Models\Carrier::class,
            'repository' => \Beejees\Product\Repositories\Eloquent\CarrierRepository::class,
            'table' => 'carriers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'job_title',  'slug',  'meta_titile',  'job_category',  'job_description',  'job_task',  'job_extra_points',  'images',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'product/carrier',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beejees',
            'package' => 'Product',
            'module' => 'Carrier',
        ],
    ],
];
