<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: products
         */
        Schema::create('products', function ($table) {
            $table->increments('id');
            $table->string('job_title', 100)->nullable();
            $table->string('slug', 100)->nullable();
            $table->string('meta_titile', 112)->nullable();
            $table->string('job_category', 112)->nullable();
            $table->text('job_description')->nullable();
            $table->text('job_task')->nullable();
            $table->text('job_extra_points')->nullable();
            $table->longText('images')->nullable();
            $table->string('status', 256)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('products');
    }
}
