<?php

namespace Beejees\Product\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Product policy
        \Beejees\Product\Repositories\Eloquent\ProductRepository::class 
        => \Beejees\Product\Policies\ProductPolicy::class,// Bind Product policy
        \Beejees\Product\Repositories\Eloquent\ProductRepository::class 
        => \Beejees\Product\Policies\ProductPolicy::class,// Bind Carrier policy
        \Beejees\Product\Repositories\Eloquent\CarrierRepository::class 
        => \Beejees\Product\Policies\CarrierPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
