<?php

namespace Beejees\Product\Repositories\Eloquent;

use Beejees\Product\Interfaces\CarrierRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Beejees\Product\Repositories\Eloquent\Presenters\CarrierItemPresenter;


class CarrierRepository extends BaseRepository implements CarrierRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('beejees.product.carrier.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('beejees.product.carrier.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CarrierItemPresenter::class;
    }
}
